Withdraw Application
- Endpoint:
POST /aggregate-pay/api/gateway/applyWithdraw - Tags: Fund Account(New)
Description
Withdraw application function is used to withdraw funds from their available balance to a registered bank card.
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
Content-Type | header | string | Yes | ||
sign | header | string | Yes | 签名信息请参考技术文档 |
Parameter Examples
Content-Type:"application/json"sign:"FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="
Request Body
Required
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
version | string | Yes | Current value:1.5 | ||
keyVersion | string | Yes | Current value: 1 | ||
requestTime | string | Yes | compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time | ||
appId | string | Yes | The unique identifier assigned to the merchant app by PayerMax | ||
memberId | string | Yes | the unique identifier generated when the merchant signs the contract with PayerMax | ||
data | object | Yes | |||
data.outTradeNo | string | Yes | maxLength: 64 | Merchant order id,must be unique under the merchant | |
data.payeeBankAccountNo | string | Yes | Use fixed value in test environment: 456789213 Send based on merchant's actual bank account in production | ||
data.payerFundsAccountNo | string | Yes | Payer funds account number | ||
data.remark | string | No | Remark | ||
data.targetCurrency | string | Yes | maxLength: 3, minLength: 3 | Target currency | |
data.transactionAmount | string | Yes | Transaction amount | ||
data.transactionCurrency | string | Yes | maxLength: 3, minLength: 3 | Transaction currency | |
data.callBackUrl | string | No | maxLength: 512 | Callback URL when the order reaches terminal state |
Example
json
{
"version": "1.5",
"keyVersion": "1",
"requestTime": "2025-12-06T10:16:13.712+08:00",
"appId": "798b79c2e33a4d8e866410bf401551a7",
"memberId": "20250619P01B00000075000002",
"data": {
"outTradeNo": "20251206114448NU3693260005000973T05",
"payeeBankAccountNo": "456789213",
"payerFundsAccountNo": "P25101038984",
"remark": "this is a remark",
"targetCurrency": "USD",
"transactionAmount": "1000",
"transactionCurrency": "HKD",
"callBackUrl": "http://xxxx/yyyy"
}
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
msg | string | Yes | ‘Success.’ | ||
code | string | Yes | ‘APPLY_SUCCESS’ means success | ||
data | object | Yes | |||
data.outTradeNo | string | Yes | Merchant order id | ||
data.tradeNo | string | Yes | Platform order number | ||
data.status | string | Yes | PROCESSING: Processing SUCCESS: Success FAILED: Failed | ||
data.transactionCurrency | string | Yes | Transaction currency | ||
data.transactionAmount | string | Yes | Transaction amount | ||
data.targetCurrency | string | Yes | Target currency | ||
data.targetAmount | string | Yes | Target amount | ||
data.rate | string | Yes | Exchange rate | ||
data.rateTime | string | Yes | Exchange rate time | ||
data.remark | string | Yes | Remark | ||
data.callBackUrl | string | Yes | Callback URL when the order reaches terminal state | ||
data.payerFundsAccountNo | string | Yes | Payer funds account number | ||
data.payeeBankAccountNo | string | Yes | Beneficiary bank account number | ||
data.fee | object | Yes | |||
data.fee.serviceFeeAmount | string | Yes | Service fee amount | ||
data.fee.serviceFeeCurrency | string | Yes | Service fee currency | ||
data.memberId | string | Yes | Member Id |
Response Example
json
{
"msg": "",
"code": "APPLY_SUCCESS",
"data": {
"transactionCurrency": "HKD",
"callBackUrl": "http://xxxx/yyyy",
"tradeNo": "20251206021056NU2522925908000536T05",
"targetCurrency": "USD",
"targetAmount": "107.95",
"rateTime": "2025-12-06T02:16:54.906Z",
"payeeBankAccountNo": "456789213",
"fee": {
"serviceFeeAmount": "20.00",
"serviceFeeCurrency": "USD"
},
"remark": "this is a remark",
"payerFundsAccountNo": "P25101038984",
"rate": "0.12794746",
"outTradeNo": "20251206114448NU3693260005000973T05",
"transactionAmount": "1000.00",
"status": "PROCESSING",
"memberId": "20250619P01B00000075000002"
}
}